2026-10-23 12.00 UTC - There are currently no active events. All systems operational.

Delete traffic signal

Prev Next
Delete
/el_traffic_signals/{id}/

Without permanent-delete=true, marks the traffic signal as deleted and excludes it from normal API queries. With permanent-delete=true, permanently deletes the traffic signal and its signal heads.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Traffic signal ID.

Query parameters
permanent-delete
boolean

Providing permanent-delete=True will delete the object from the database. Available from product version 3.2.22.

Responses
204

Traffic signal was deleted or marked as deleted.

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

403

Request is valid, but for some reason cannot be executed.

For example deletion is forbidden if object has at least one dependent object. This also covers generic access forbidden responses.

object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error